Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZNewsImporter Class Reference

## Public Member Functions
| __construct ( $decoder, $site, $category, $login="", $password="", $autoPublish=false)
| importNews ()

## Static Public Member Functions
static | listDecoders ()

## Public Attributes
| $Decoder
| $Site
| $Login
| $Password
| $CategoryID
| $AutoPublish

## Detailed Description

! eZNewsFeed eZNewsImporter handles importing of news bullets from other sites.

Example code:

See also
  eZNewsCategory

TODO

Definition at line 45 of file eznewsimporter.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZNewsImporter::__construct | ( |  | $decoder,
|  |  | $site,
|  |  | $category,
|  |  | $login = `""`,
|  |  | $password = `""`,
|  |  | $autoPublish = `false`
| ) |  |

Create a new importer with the given decoder and site. Login and password are default not used.

Definition at line 51 of file eznewsimporter.php.

References $category, and Password.

## Member Function Documentation

## ◆ importNews()

eZNewsImporter::importNews | ( |  | ) |

Imports news from the given site.

Definition at line 79 of file eznewsimporter.php.

References $category, $newsList, and Password.

## ◆ listDecoders()

static eZNewsImporter::listDecoders | ( |  | ) |
| static

Definition at line 70 of file eznewsimporter.php.

## Member Data Documentation

## ◆ $AutoPublish

eZNewsImporter::$AutoPublish

Definition at line 156 of file eznewsimporter.php.

## ◆ $CategoryID

eZNewsImporter::$CategoryID

Definition at line 155 of file eznewsimporter.php.

## ◆ $Decoder

eZNewsImporter::$Decoder

Definition at line 151 of file eznewsimporter.php.

## ◆ $Login

eZNewsImporter::$Login

Definition at line 153 of file eznewsimporter.php.

## ◆ $Password

eZNewsImporter::$Password

Definition at line 154 of file eznewsimporter.php.

## ◆ $Site

eZNewsImporter::$Site

Definition at line 152 of file eznewsimporter.php.

The documentation for this class was generated from the following file:

- eznewsimporter.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.